פוסטים: תיקון

נדרשת הרשאה

עדכון פוסט. השיטה הזו תומכת בסמנטיקה של תיקונים. כדאי לנסות עכשיו או לראות דוגמה.

בקשה

בקשת HTTP

PATCH https://www.googleapis.com/blogger/v3/blogs/blogId/posts/postId

פרמטרים

שם הפרמטר ערך תיאור
פרמטרים נדרשים
blogId string מזהה הבלוג.
postId string המזהה של הפוסט.

אישור

הבקשה הזו דורשת הרשאה עם לפחות אחד מההיקפים הבאים (מידע נוסף על אימות והרשאה).

היקף
https://www.googleapis.com/auth/blogger

גוף הבקשה

בגוף הבקשה, מספקים משאב פוסטים.

תשובה

אם הפעולה בוצעה ללא שגיאות, ה-method מחזירה משאב פוסטים בגוף התגובה.

דוגמאות

הערה: דוגמאות הקוד שזמינות ל-method לא מייצגות את כל שפות התכנות שיש בהן תמיכה. (לרשימת השפות הנתמכות בדף של ספריות הלקוח)

Java

שימוש בספריית הלקוח של Java

// The BlogId of a test blog.
String TEST_BLOG_ID = "8070105920543249
955";
// The PostId
of a post.String POST_ID = "488358
1657838685651";
// Configure the Java API Client for
Installed Native AppHttpTransport HTTP_TRANSPORT = new
NetHttpTransport();JsonFactory JSON_FACTORY = n
ew JacksonFactory();
// Configure the Instal
led App OAuth2 flow.Credential credential = OAuth2Native.autho
rize(HTTP_TRANSPORT, JSON_FACTORY, new Lo
calServerReceiver(), Arrays.asList(Blog
gerScopes.BLOGGER)); // Construct the Blogger API a
ccess facade object.Blogger blogger = Blogger.builder(HTTP_TRAN
SPORT, JSON_FACTORY) .setApplicationName("Blogger
-PostsPatch-Snippet/1.0") .setHttpRequestIn
itializer(credential).b
uild();
// Construct the
patchPost patch = new Post();patch.s
etId(Long.parseLong(POST_ID));<patc>h.setCon<tent(>&<quot>;Wit<h rea>lly emphexc
iting/emph codeHTML/cod
e content");
// The request action.Patch postsPatchAction = blogger.post
s().patch(TEST_BLOG_ID, POST_ID, patch);
// Restrict the
result content to just the data we need.postsPatchAction.setFields("auth
or/displayName,content,published,title,url&quo
t;);
// This step sends the request to
the server.Post post = postsPatchActi
on.execute();
// Now we can navigate the respons
e.System.out.println("Title: " + post.getTitle());System.
out.println("Author: " + post.getAuthor().getD
isplayName());System.out.println("Publi
shed: &quot; + post.getPublished());System.out.println("URL: " + post.getUrl());System.out.println("Content: " + post.getContent());

רוצה לנסות?

אפשר להשתמש ב-APIs Explorer שבהמשך כדי להפעיל את השיטה הזו על נתונים בזמן אמת ולראות את התגובה.